#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n,m,k;
    int t;
    long long visak,osnova;
    long long brmin;
    cin>>t;
    for(int i=0;i<t;i++)
    {
        cin>>n>>m>>k;
        osnova=n/k;
        visak=n-k*osnova;
        m-=(k-visak)*(osnova*(osnova+1)/2);
        if(m>=0)
            m-=visak*((osnova+1)*(osnova+2)/2);
        if(m<0)
            cout<<"Nie"<<endl;
        else
            cout<<"Tak"<<endl;
    }
}